Skip to main content
GET
/
api
/
v1
/
provider_builds
/
{id}
Get Provider Build
curl --request GET \
  --url https://api.example.com/api/v1/provider_builds/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "missing",
  "source": {
    "org": "<string>",
    "repo": "<string>",
    "version": "<string>",
    "version_type": "head",
    "commit_hash": "<string>",
    "host": "github.com",
    "path": "<string>"
  },
  "destination": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider_origin": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "build_configuration": {
    "dockerfile_path": "<string>"
  },
  "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "on_complete": {
    "type": "no_action"
  },
  "error_message": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string<uuid>
required

Response

Successful Response

status
enum<string>
required
Available options:
missing,
in_progress,
build_completed,
completed,
failed
source
ResolvedGithubUrl · object
required
destination
string
required
created_by
string<uuid>
required
provider_origin
string
required
id
string<uuid>
created_at
string<date-time>
build_configuration
BuildConfiguration · object
provider_id
string<uuid> | null

ID of the provider added or modified by this build

on_complete
AddProvider · object

Will add a new provider or update an existing one with the same base docker image ID (docker registry + repository, excluding tag)

error_message
string | null